Problème avec libxml et libxslt

Bonjour,

J’utilise netbeans avec rails on ruby… et je souhaiterais utiliser
libxml et libxslt pour pouvoir générer un formulaire html à partir de
données xml.

J’ai bien installé les bibliothèques (version 0.8.3 pour libxml-ruby et
version 0.8.2 pour libxslt-ruby) car les version supérieures ne
foncionnaient pas! J’ai toujours le message d’erreur suivant :

no such file to load – xml/libxml

Alors que la bibliothèque est bien installée! Que faire ?

Mon programme contient le code suivant (exemple provenant de
http://snippets.dzone.com/posts/show/4615) :

<%
require ‘xml/libxml’
require ‘xml/libxslt’

xslt = XML::XSLT.new()
xslt.xml = “test.xml”
xslt.xsl = “test.xsl”

out = xslt.serve() %>
Test :


<%=h out%>

Bonjour,Pour commencer, faire des require dans une vue c’est un peut
hard
non ? (voir une hérésie… bruler le)
Essaye en console et si ça marche dans un controller (d’ailleurs le
snippet
donné en exemple n’est pas fait pour une vue)

2009/4/2 Babiben A. [email protected]

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs